Subject: bug#10598: closed (Re: bug#10598: 24.0.92; run dired-do-async-shell-command on multiple files individually)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 17 Jul 2012 18:49:02 +0000

Your bug report

#10598: 24.0.92; run dired-do-async-shell-command on multiple files individually

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
10598: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=10598
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#10598: 24.0.92; run dired-do-async-shell-command on multiple files individually
From: Juri Linkov <[email-masked]>
To: "Roland Winkler" <[email-masked]>
Cc: [email-masked]
Date: Tue, 17 Jul 2012 21:41:08 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

> Thanks a lot, this looks great to me (and also works for me as expected).

Thanks, installed and closed.

> It would be good if the info node "(emacs)Shell Commands in Dired"
> will be updated, too.

A NEWS entry for this change has no "---" indication that means
it should be documented in the manual before the next release when
the functionality is stabilized and there are no more code changes.

Subject: 24.0.92; run dired-do-async-shell-command on multiple files individually
From: "Roland Winkler" <[email-masked]>
To: [email-masked]
Date: Wed, 25 Jan 2012 04:17:16 -0600
List-Id: <debbugs-submit.debbugs.gnu.org>

Within dired, I want to run a shell command asynchronously on
multiple files individually. Say, most specifically I tried to
watch the postscript files foo.ps and bar.ps with gv.

So I mark foo.ps and bar.ps in the dired buffer and hit
& gv ?

In the buffer *Async Shell Command* this gives me the error message

/bin/bash: -c: line 0: syntax error near unexpected token `;'
/bin/bash: -c: line 0: `gv foo.ps &;gv bar.ps'

I get the same error message with the command dired-do-shell-command using
! gv ? &

I am not the most experienced bash expert. But it seems that bash
doesn't like the combination `&;'. Note also that there is no `&'
for `gv bar.ps'.

In a tty
$ gv foo.ps & gv bar.ps &
works fine for me (giving me what I expect to get within dired).

Am I misunderstanding the docstrings of dired-do-shell-command and
dired-do-async-shell-command (which are a bit confusing for me
concerning how to run a shell command on multiple files) or is there
a bug in the code?

In GNU Emacs 24.0.92.1 (x86_64-unknown-linux-gnu, GTK+ Version 2.20.1)
 of 2011-12-14 on regnitz
Windowing system distributor `The X.Org Foundation', version 11.0.10706000